Bug 805412 - improper message - dot "." in org name being created
improper message - dot "." in org name being created
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Justin Sherrill
Garik Khachikyan
: Triaged, ZStream
Depends On:
Blocks: 828312
  Show dependency treegraph
 
Reported: 2012-03-21 04:53 EDT by Garik Khachikyan
Modified: 2015-01-04 16:59 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Organization creation and environment attachment provides conflicting errors. This fix corrects the behavior in the code. All errors for organizations now reflect as an "organization error" while all errors for the environment reflect as an "environment error".
Story Points: ---
Clone Of:
: 828312 (view as bug list)
Environment:
Last Closed: 2012-12-04 14:43:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garik Khachikyan 2012-03-21 04:53:14 EDT
Description of problem:
Trying to create and org/first env pair in Katello UI ends with improper message there when the org name contains dot like: "Sample Org Inc." (dev name: Dev)
---
Validation Failed:
Environment Cp key is invalid
Environment Name cannot contain characters other than alpha numerals, space,'_', '-'.
---

Version-Release number of selected component (if applicable):
mod_wsgi-3.3-3.pulp.el6.x86_64
katello-common-0.2.15-1.git.0.16f633a.el6.noarch
pulp-selinux-server-1.0.0-6.el6.noarch
katello-repos-testing-0.2.1-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
candlepin-0.5.26-1.el6.noarch
candlepin-tomcat6-0.5.26-1.el6.noarch
katello-certs-tools-1.1.3-1.el6.noarch
qpid-cpp-server-0.12-6.el6.x86_64
katello-glue-foreman-0.2.15-1.git.0.16f633a.el6.noarch
katello-0.2.15-1.git.0.16f633a.el6.noarch
qpid-cpp-client-ssl-0.12-6.el6.x86_64
qpid-cpp-server-ssl-0.12-6.el6.x86_64
katello-cli-common-0.2.15-1.git.0.821013f.el6.noarch
katello-cli-0.2.15-1.git.0.821013f.el6.noarch
m2crypto-0.21.1.pulp-7.el6.x86_64
python-oauth2-1.5.170-2.pulp.el6.noarch
pulp-common-1.0.0-6.el6.noarch
qpid-cpp-client-0.12-6.el6.x86_64
katello-glue-pulp-0.2.15-1.git.0.16f633a.el6.noarch
katello-selinux-0.2.3-1.git.57.6c5edb8.el6.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-agent-1.0.3-1.git.0.cccd0b4.el6.noarch
katello-cli-tests-0.2.5-1.git.0.58ae4b6.el6.noarch
python-qpid-0.12-1.el6.noarch
katello-glue-candlepin-0.2.15-1.git.0.16f633a.el6.noarch
pulp-1.0.0-6.el6.noarch
katello-repos-0.2.1-1.el6.noarch
katello-configure-0.2.15-1.git.4.94aa90a.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch


How reproducible:
always

Steps to Reproduce:
1.see above
2.
3.
  
Actual results:
wrong error related with incorrect environment name

Expected results:
right error message regarding to Org.

Additional info:
Comment 1 Garik Khachikyan 2012-03-27 04:51:35 EDT
i guess it's not a hard-fix and could be qe_ack-ed :)
Comment 2 Justin Sherrill 2012-04-03 17:08:09 EDT
easy fix, but was hiding :)

0b241dc967c2b1a7a8c4429b676e815bcab2a513

now an error from a period in the org name should say 'organization', while an error from a period in the env name should say 'environment'
Comment 7 Garik Khachikyan 2012-10-03 11:24:32 EDT
# VERIFIED

Fixed. an awesome "Validation Failed:
Name cannot contain characters other than alpha numerals, space,'_', '-'." is shown on entering dot in environment/org name during creation.

checked on:
---
katello-1.1.12-12.el6cf.noarch
katello-cli-1.1.8-6.el6cf.noarch
Comment 9 errata-xmlrpc 2012-12-04 14:43:22 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.